summaryrefslogtreecommitdiffstats
path: root/sys/modules/ibcs2
diff options
context:
space:
mode:
authorwosch <wosch@FreeBSD.org>1997-02-02 14:40:38 +0000
committerwosch <wosch@FreeBSD.org>1997-02-02 14:40:38 +0000
commita3a6062c6d70ab3aa091e53e41b44505861fe605 (patch)
tree99505a110dae81f07ca8e46cacd9776231caec21 /sys/modules/ibcs2
parentc6f2c739399a263085b3a2fede442eb34b352638 (diff)
downloadFreeBSD-src-a3a6062c6d70ab3aa091e53e41b44505861fe605.zip
FreeBSD-src-a3a6062c6d70ab3aa091e53e41b44505861fe605.tar.gz
Make ibcs2 a little bit saver. Add copyright.
Diffstat (limited to 'sys/modules/ibcs2')
-rwxr-xr-xsys/modules/ibcs2/ibcs238
-rw-r--r--sys/modules/ibcs2/ibcs2.sh38
2 files changed, 70 insertions, 6 deletions
diff --git a/sys/modules/ibcs2/ibcs2 b/sys/modules/ibcs2/ibcs2
index 3f804bf..95bc831 100755
--- a/sys/modules/ibcs2/ibcs2
+++ b/sys/modules/ibcs2/ibcs2
@@ -1,5 +1,34 @@
#!/bin/sh
-# $FreeBSD$
+#
+# Copyright (C) 1994-1997
+# FreeBSD Inc. All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY FreeBSD Inc. AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL FreeBSD Inc. OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+
+
+PATH=/bin:/sbin:/usr/bin:/usr/sbin; export PATH
+
if [ $# -le 1 ]; then
LOADERS="coff" # elf
fi
@@ -8,13 +37,16 @@ set -e
kernelfile=`sysctl -n kern.bootfile`
kernelfile=`basename $kernelfile`
-newkernelfile="/tmp/${kernelfile}+ibcs2"
+newkernelfile="/tmp/_${kernelfile}+ibcs2$$"
+
+trap 'rm -f $newkernelfile; exit 1' 1 2 3 13 15
+rm -f $newkernelfile
modload -e ibcs2_mod -o $newkernelfile -q /lkm/ibcs2_mod.o
for loader in $LOADERS; do
modload -e ibcs2_${loader}_mod -o/tmp/ibcs2_${loader} -q -u \
-A${newkernelfile} /lkm/ibcs2_${loader}_mod.o
done
-rm ${newkernelfile}
+rm -f ${newkernelfile}
set +e
diff --git a/sys/modules/ibcs2/ibcs2.sh b/sys/modules/ibcs2/ibcs2.sh
index 3f804bf..95bc831 100644
--- a/sys/modules/ibcs2/ibcs2.sh
+++ b/sys/modules/ibcs2/ibcs2.sh
@@ -1,5 +1,34 @@
#!/bin/sh
-# $FreeBSD$
+#
+# Copyright (C) 1994-1997
+# FreeBSD Inc. All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY FreeBSD Inc. AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL FreeBSD Inc. OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+
+
+PATH=/bin:/sbin:/usr/bin:/usr/sbin; export PATH
+
if [ $# -le 1 ]; then
LOADERS="coff" # elf
fi
@@ -8,13 +37,16 @@ set -e
kernelfile=`sysctl -n kern.bootfile`
kernelfile=`basename $kernelfile`
-newkernelfile="/tmp/${kernelfile}+ibcs2"
+newkernelfile="/tmp/_${kernelfile}+ibcs2$$"
+
+trap 'rm -f $newkernelfile; exit 1' 1 2 3 13 15
+rm -f $newkernelfile
modload -e ibcs2_mod -o $newkernelfile -q /lkm/ibcs2_mod.o
for loader in $LOADERS; do
modload -e ibcs2_${loader}_mod -o/tmp/ibcs2_${loader} -q -u \
-A${newkernelfile} /lkm/ibcs2_${loader}_mod.o
done
-rm ${newkernelfile}
+rm -f ${newkernelfile}
set +e
OpenPOWER on IntegriCloud